| Measuring technique | Sensor name | Link to supplier | Cost | Availability | Pros | Cons |
| ------------- |:-------------:| -----:| -----:| -----:| -----:| -----:|
| Open loop hall effect sensor | L31S100S05FS | https://www.mouser.dk/ProductDetail/Tamura/L31S100S05FS/?qs=moDRE%2FDosU27J2MzaQD22g%3D%3D | 12,01 € | 0 stock (expected 05/03/2021) | Low cost, Excellent accuracy and linearity, Wide nominal current range, High Immunity To External Interference, Current overload capability | Uses more amps than the esp8266 can supply |
| Open loop hall effect sensor | L31S300S05FS | https://www.mouser.dk/ProductDetail/Tamura/L31S300S05FS/?qs=moDRE%2FDosU3tFU4gtd62rg%3D%3D | 14,84 € | in stock (153 pcs) | Low cost, Excellent accuracy and linearity, High Immunity To External Interference, Current overload capability, 300A | Uses more amps than the esp8266 can supply |
| Board Mount Current Sensors | LA01P170S05 | https://www.mouser.dk/ProductDetail/Tamura/LA01P170S05/?qs=yBt6ao%2FxsTzIfTZ6SdPkKA%3D%3D | 11,26 € | Non-stocked (request delivery quote) | Low cost, 170A, consumes 10mA, super fast response time, through hole design | Needs to be "integrated" in the wire |